zenilib: zenilib/jni/external/freetype2/src/cache/ftcmanag.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
ftcmanag.h File Reference
`#include <ft2build.h>`
`#include <FT_CACHE_H>`
`#include "ftcmru.h"`
`#include "ftccache.h"`

Go to the source code of this file.

## Classes

struct | FTC_ManagerRec_

## Macros

#define | FTC_MAX_BYTES_DEFAULT 200000L /* ~200kByte by default */
#define | FTC_MAX_CACHES 16
#define | FTC_MAX_FACES_DEFAULT 2
#define | FTC_MAX_SIZES_DEFAULT 4
#define | FTC_SCALER_COMPARE(a, b)
#define | FTC_SCALER_HASH(q)

## Typedefs

typedef struct FTC_ManagerRec_ | FTC_ManagerRec

## Functions

| FTC_Manager_Compress (FTC_Manager manager)
| FTC_Manager_FlushN (FTC_Manager manager, FT_UInt count)
| FTC_Manager_RegisterCache (FTC_Manager manager, FTC_CacheClass clazz, FTC_Cache *acache)

## Macro Definition Documentation

#define FTC_MAX_BYTES_DEFAULT 200000L /* ~200kByte by default */

Definition at line 85 of file ftcmanag.h.

Referenced by FTC_Manager_New().

#define FTC_MAX_CACHES 16

Definition at line 88 of file ftcmanag.h.

Referenced by FTC_Manager_RegisterCache().

#define FTC_MAX_FACES_DEFAULT 2

Definition at line 83 of file ftcmanag.h.

Referenced by FTC_Manager_New().

#define FTC_MAX_SIZES_DEFAULT 4

Definition at line 84 of file ftcmanag.h.

Referenced by FTC_Manager_New().

#define FTC_SCALER_COMPARE | ( |  | a,
|  |  | b
| ) |  |

Value:
( (a)->face_id == (b)->face_id && \
(a)->width == (b)->width && \
(a)->height == (b)->height && \
((a)->pixel != 0) == ((b)->pixel != 0) && \
( (a)->pixel || \
( (a)->x_res == (b)->x_res && \
(a)->y_res == (b)->y_res ) ) )
height
EGLSurface EGLint EGLint EGLint EGLint height
Definition: eglext.h:293
a
GLboolean GLboolean GLboolean GLboolean a
Definition: glew.h:8736
width
EGLSurface EGLint EGLint EGLint width
Definition: eglext.h:293
b
GLdouble GLdouble GLdouble b
Definition: glew.h:8383

Definition at line 154 of file ftcmanag.h.

Referenced by ftc_size_node_compare().

#define FTC_SCALER_HASH | ( |  | q | ) |

Value:
( _FTC_FACE_ID_HASH( (q)->face_id ) + \
(q)->width + (q)->height*7 + \
( (q)->pixel ? 0 : ( (q)->x_res*33 ^ (q)->y_res*61 ) ) )
width
EGLSurface EGLint EGLint EGLint width
Definition: eglext.h:293
_FTC_FACE_ID_HASH
#define _FTC_FACE_ID_HASH(i)
Definition: ftccache.h:28
q
GLdouble GLdouble GLdouble GLdouble q
Definition: glew.h:1400

Definition at line 163 of file ftcmanag.h.

## Typedef Documentation

typedef struct FTC_ManagerRec_ FTC_ManagerRec

## Function Documentation

FTC_Manager_Compress | ( | FTC_Manager | manager | ) |

Definition at line 532 of file ftcmanag.c.

References FT_TRACE0, FTC_NODE__PREV, ftc_node_destroy(), NULL, and FTC_NodeRec_::ref_count.

Referenced by ftc_cache_add().

FTC_Manager_FlushN | ( | FTC_Manager | manager,
|  | FT_UInt | count
| ) |  |

Definition at line 626 of file ftcmanag.c.

References FTC_NODE__PREV, ftc_node_destroy(), NULL, and FTC_NodeRec_::ref_count.

FTC_Manager_RegisterCache | ( | FTC_Manager | manager,
|  | FTC_CacheClass | clazz,
|  | FTC_Cache * | acache
| ) |  |

Definition at line 574 of file ftcmanag.c.

References FTC_CacheRec_::clazz, error, FT_ALLOC, FT_ERROR, FT_FREE, FTC_MAX_CACHES, FTC_CacheRec_::index, FTC_CacheRec_::manager, FTC_CacheRec_::memory, NULL, and FTC_CacheRec_::org_class.

Referenced by FTC_CMapCache_New(), and FTC_GCache_New().